using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Domain;

namespace Dao
{
	public interface IHostUpdateStatusRepository : IRepository<HostUpdateStatus>
    {
		HostUpdateStatus Get(Host host, int status);

        HostUpdateStatus Get(Host host, HostUpdate hostUpdate);

        HostUpdateStatus Get(Host host, HostUpdate hostUpdate, int status);
	}
}
